
import { getCurrentInstance } from 'vue'
const instance = getCurrentInstance();

const price = 12800
const zhijiaPrice = 899
const usb = 999
const battery = 1999
import i18n from '@/i18n/index.js'
const t = i18n.global.t;

export const goodsMap = {
  4: {
    name: t('mall.kankanPro'),
    img: `images/banner_pro.png`,
    detail: [`${t('mall.kankanPro')}(${t('mall.blackColor')})`, t('mall.voice')],
    price: price,
    skuSn: 'U15609161635760015'
  },
  7: {
    name: t('mall.jiaojia'),
    img: `images/zhijia.png`,
    detail:  [`${t('mall.jiaojia')}(${t('mall.zhijiaColor')})`],
    price: zhijiaPrice,
    skuSn: 'U15604134406280073'
  },
  11: {
    name: t('mall.usb'),
    img: `images/zhijiabrowse/usb-0.png`,
    detail:  [`${t('mall.usb')}(${t('mall.silvery')})`],
    price: usb,
    skuSn: 'U15604132404280603'
  },
  12: {
    name: t('mall.battery'),
    img: `images/zhijiabrowse/battery-0.png`,
    detail:  [`${t('mall.battery')}(${t('mall.black')})`],
    price: battery,
    skuSn: 'U15604132404280703'
  }
}
export const PAYSIDMAP = {
  0: t('mall.wechat'),
  1: t('mall.aliPay'),
  2: 'paypal'
}